import {Snowflake} from "discord-api-types/globals";
import {CharacterTable} from "../database/characters";

export class CharacterManager {
    private

    constructor({characters}: {characters: CharacterTable}) {
    }

    async startNewCharacter(user: Snowflake, overwrite: boolean): Promise<{alreadyEditing: boolean, created: boolean}> {

    }

    async abandonEditedCharacter(user: Snowflake): Promise<{abandoned: boolean}> {
    }

    async saveEditedCharacter(user: Snowflake, asNew?: boolean): Promise<{ id: string, name: string, title: string }|{ id: null }> {

    }
}
